/*
	UDK Scale Tools - Dev Materials
	------------------------------
	Version : 1.0 (alpha)
	Developed By : Stuart Butler
	Info: @stu3dart
	Description: Dev Materials for UDK Scale Tools
	Year : 2012
	-------------------------------
*/

rollout UDK_DevMaterials "UDK Dev Materials" category:1
(
	group "Dev Material Settings"
	(
		radiobuttons rad_Colour "Colour" labels:ColourArr default:1 columns: 4 width:250
		radiobuttons rad_Type "Development Material Type" labels:TypeArr default:1 columns: 3 width:250
		)
	button but_DevAdd "Add Development Material" width:160 align:#center
		
	on but_DevAdd pressed do
		If Selection.count == 1 then
	(
		uvwdevMod = UVWMap name: "UDKScaleUVWMap"
		mapsize = sizeArr[(UDK_DevMaterials.rad_Type.state)]
		gizmoadjustz = mapsize/2 --value to be added to z co-ord of gizmo
		newgizpos = [0,0,gizmoadjustz] --adds adjustment to the z co-ord for gizmo
		
		modPanel.addModToSelection uvwdevMod ui:on
		$.modifiers[#UDKScaleUVWMap].maptype = 4
		$.modifiers[#UDKScaleUVWMap].length = mapsize
		$.modifiers[#UDKScaleUVWMap].width = mapsize
		$.modifiers[#UDKScaleUVWMap].height = mapsize
		$.modifiers[#UDKScaleUVWMap].gizmo.position = newgizpos --sets gizmo position
		print newgizpos
		enableShowEndRes = 1
		
		typeval = TypeArr[(UDK_DevMaterials.rad_Type.state)] -- fetchs the type for material name setting
		colourval = ColourArr[(UDK_DevMaterials.rad_Colour.state)] -- fetchs the colour for material name setting
		colourRGBAval = ColourRGBAArr[(UDK_DevMaterials.rad_Colour.state)] -- fetchs the colour and alpha RGBA values
		materialnameval = (typeval+colourval)
		mat_basecolour = colourRGBAval
		maskname = MaskArr[(UDK_DevMaterials.rad_Type.state)]
		mat_mask = BitmapTexture()
		mat_mask.filename = maskname
			
		matdevmat = standard name: materialnameval
		matdevmat.diffuseMap = compositeMap()
		matdevmat.diffuseMap.mapEnabled.count = 2
		matdevmat.diffuseMap.layername[1] = "Base Colour"
		matdevmat.diffuseMap.layername[2] = "Overlay"
		matdevmat.diffuseMap.mask[2] = mat_mask
		matdevmat.diffuseMap.mapList[1] = Color_Correction ()
		matdevmat.diffuseMap.mapList[2] = Color_Correction ()
		matdevmat.diffuseMap.mapList[1].color = mat_basecolour
		matdevmat.diffuseMap.mapList[2].color = color 0 0 0 255
		matdevmat.showInViewport = true
		$.material = matdevmat
		
	)	
	else
	(
		messagebox "Please Select Only One Object"
	)
)