	/*
	UDK Scale Tools - Scale Billboards
	------------------------------
	Version : 1.0 (alpha)
	Developed By : Stuart Butler
	Info: @stu3dart
	Description: Scale Billboards for UDK Scale Tools
	Year : 2012
	-------------------------------
*/
rollout UDK_ScaleBillboards "UDK Scale Billboards" category:2
(
group "Scale Billboard Settings"
	(
		radiobuttons rad_Colour "Colour" labels:ColourArr default:1 columns: 4 width:250
		radiobuttons rad_Type "Billboard Type" labels:BillbTypeArr default:1 columns: 3 width:250
		)
	button but_ScaleBillAdd "Create Scale Billboard" width:160 align: #center
		
on but_ScaleBillAdd pressed do
	(
		colourRGBval = ColourRGBArr[(UDK_ScaleBillboards.rad_Colour.state)]
		colourval = ColourArr[(UDK_ScaleBillboards.rad_Colour.state)] 
		billbtypeval = BillbTypeArr[(UDK_ScaleBillboards.rad_Type.state)]
		billblength = BillbLengthArr[(UDK_ScaleBillboards.rad_Type.state)] 
		billbwidth = BillbWidthArr[(UDK_ScaleBillboards.rad_Type.state)] 
		billbname = (billbtypeval+"_Billboard_"+colourval)
		Plane length:billblength width:billbwidth transform:(matrix3 [1,0,0] [0,0,1] [0,-1,0] [0,0,0]) isSelected:on
		$.lengthsegs = 1
		$.widthsegs = 1
		$.name = billbname
		billbheight = billblength/2
		newobjpos = [0,0,billbheight]
		$.position = newobjpos
		--creates billboard to specific size using array, positions so that bottom of the billboard is at 0,0,0
		
		uvwbillMod = UVWMap name: "YSNST"
		gizmoadjustx = BillbUVOffArr[(UDK_ScaleBillboards.rad_Type.state)] 
		gizmoadjusty = 128-(billblength/2)
		newgizpos = newobjpos + [-gizmoadjustx,gizmoadjusty,0] --adds adjustment to the x co-ord for gizmo
		
		modPanel.addModToSelection uvwbillMod ui:on
		$.modifiers[#YSNST].maptype = 0
		$.modifiers[#YSNST].length = 256
		$.modifiers[#YSNST].width = 256
		$.modifiers[#YSNST].gizmo.position = newgizpos --sets gizmo position
		enableShowEndRes = 1
		maxOps.CollapseNode $ off
		WorldAlignPivot($)
		ResetXForm($)
		macros.run "Modifier Stack" "Convert_to_Poly"
		$.pivot = [0,0,0]		
	
		materialnameval = ("Billboard_"+colourval)
		opacityfilenameval = ("$userscripts\UDKScaleTools\images\dev_billboard.tga")
		mat_diffuse = colourRGBval
		mat_opacity = BitmapTexture ()
		mat_opacity.filename = opacityfilenameval
		matbillb = standardMaterial name: materialnameval
		matbillb.diffuse = mat_diffuse
		matbillb.opacityMap = mat_opacity
		matbillb.selfIllumAmount = 100
		matbillb.twoSided = on
		matbillb.showInViewport = true
		$.material = matbillb
	)
)
